/*
 *  CDL_F.H  -- header file for the CDL Fortran interface.  Fortran compilers
 *  on various platforms may append one or more trailing underscores to 
 *  symbol names, we'll use macros for the interface names and use defines
 *  to see what the symbol name is.
 */


#ifdef _NO_US_

#define	CDF_OPEN		cfopen
#define	CDF_DISPLAYPIX		cfdisplaypix
#define	CDF_READCURSOR		cfreadcursor
#define	CDF_SETCURSOR		cfsetcursor
#define	CDF_CLEARFRAME		cfclearframe
#define	CDF_SELECTFB		cfselectfb
#define	CDF_CLOSE		cfclose
#define	CDF_DISPLAYIRAF		cfdisplayiraf
#define	CDF_ISIRAF		cfisiraf
#define	CDF_READIRAF		cfreadiraf
#define	CDF_DISPLAYFITS		cfdisplayfits
#define	CDF_ISFITS		cfisfits
#define	CDF_READFITS		cfreadfits
#define	CDF_COMPZSCALE		cfcompzscale
#define	CDF_ZSCALEIMAGE		cfzscaleimage
#define	CDF_PRINTPIX		cfprintpix
#define	CDF_PRINTPIXTOFILE	cfprintpixtofile
#define	CDF_READIMAGE		cfreadimage
#define	CDF_READFRAMEBUFFER	cfreadframebuffer
#define	CDF_READSUBRAS		cfreadsubras
#define	CDF_WRITESUBRAS		cfwritesubras
#define	CDF_SETWCS		cfsetwcs
#define	CDF_SETFBCONFIG		cfsetfbconfig
#define	CDF_GETFBCONFIG		cfgetfbconfig
#define	CDF_LOOKUPFBSIZE	cflookupfbsize
#define	CDF_SETFRAME		cfsetframe
#define	CDF_SETZTRANS		cfsetztrans
#define	CDF_SETZSCALE		cfsetzscale
#define	CDF_SETSAMPLE		cfsetsample
#define	CDF_SETSAMPLELINES	cfsetsamplelines
#define	CDF_SETCONTRAST		cfsetcontrast
#define	CDF_SETNAME		cfsetname
#define	CDF_SETTITLE		cfsettitle
#define	CDF_GETWCS		cfgetwcs
#define	CDF_GETFRAME		cfgetframe
#define	CDF_GETZTRANS		cfgetztrans
#define	CDF_GETZSCALE		cfgetzscale
#define	CDF_GETSAMPLE		cfgetsample
#define	CDF_GETSAMPLELINES	cfgetsamplelines
#define	CDF_GETCONTRAST		cfgetcontrast
#define	CDF_GETNAME		cfgetname
#define	CDF_GETTITLE		cfgettitle
#define	CDF_MAPFRAME		cfmapframe
#define	CDF_MARKPOINT		cfmarkpoint
#define	CDF_MARKLINE		cfmarkline
#define	CDF_MARKBOX		cfmarkbox
#define	CDF_MARKPOLYLINE	cfmarkpolyline
#define	CDF_MARKPOLYGON		cfmarkpolygon
#define	CDF_MARKCIRCLE		cfmarkcircle
#define	CDF_MARKCIRCANNULI	cfmarkcircannuli
#define	CDF_MARKELLIPSE		cfmarkellipse
#define	CDF_MARKELLIPANNULI	cfmarkellipannuli
#define	CDF_MARKTEXT		cfmarktext
#define	CDF_DELETEMARK		cfdeletemark
#define	CDF_CLEAROVERLAY	cfclearoverlay
#define	CDF_REDRAWOVERLAY	cfredrawoverlay
#define	CDF_SETDEBUG		cfsetdebug

#else

#define	CDF_OPEN		cfopen_
#define	CDF_DISPLAYPIX		cfdisplaypix_
#define	CDF_READCURSOR		cfreadcursor_
#define	CDF_SETCURSOR		cfsetcursor_
#define	CDF_CLEARFRAME		cfclearframe_
#define	CDF_SELECTFB		cfselectfb_
#define	CDF_CLOSE		cfclose_
#define	CDF_DISPLAYIRAF		cfdisplayiraf_
#define	CDF_ISIRAF		cfisiraf_
#define	CDF_READIRAF		cfreadiraf_
#define	CDF_DISPLAYFITS		cfdisplayfits_
#define	CDF_ISFITS		cfisfits_
#define	CDF_READFITS		cfreadfits_
#define	CDF_COMPZSCALE		cfcompzscale_
#define	CDF_ZSCALEIMAGE		cfzscaleimage_
#define	CDF_PRINTPIX		cfprintpix_
#define	CDF_PRINTPIXTOFILE	cfprintpixtofile_
#define	CDF_READIMAGE		cfreadimage_
#define	CDF_READFRAMEBUFFER	cfreadframebuffer_
#define	CDF_READSUBRAS		cfreadsubras_
#define	CDF_WRITESUBRAS		cfwritesubras_
#define	CDF_SETWCS		cfsetwcs_
#define	CDF_SETFBCONFIG		cfsetfbconfig_
#define	CDF_GETFBCONFIG		cfgetfbconfig_
#define	CDF_LOOKUPFBSIZE	cflookupfbsize_
#define	CDF_SETFRAME		cfsetframe_
#define	CDF_SETZTRANS		cfsetztrans_
#define	CDF_SETZSCALE		cfsetzscale_
#define	CDF_SETSAMPLE		cfsetsample_
#define	CDF_SETSAMPLELINES	cfsetsamplelines_
#define	CDF_SETCONTRAST		cfsetcontrast_
#define	CDF_SETNAME		cfsetname_
#define	CDF_SETTITLE		cfsettitle_
#define	CDF_GETWCS		cfgetwcs_
#define	CDF_GETFRAME		cfgetframe_
#define	CDF_GETZTRANS		cfgetztrans_
#define	CDF_GETZSCALE		cfgetzscale_
#define	CDF_GETSAMPLE		cfgetsample_
#define	CDF_GETSAMPLELINES	cfgetsamplelines_
#define	CDF_GETCONTRAST		cfgetcontrast_
#define	CDF_GETNAME		cfgetname_
#define	CDF_GETTITLE		cfgettitle_
#define	CDF_MAPFRAME		cfmapframe_
#define	CDF_MARKPOINT		cfmarkpoint_
#define	CDF_MARKLINE		cfmarkline_
#define	CDF_MARKBOX		cfmarkbox_
#define	CDF_MARKPOLYLINE	cfmarkpolyline_
#define	CDF_MARKPOLYGON		cfmarkpolygon_
#define	CDF_MARKCIRCLE		cfmarkcircle_
#define	CDF_MARKCIRCANNULI	cfmarkcircannuli_
#define	CDF_MARKELLIPSE		cfmarkellipse_
#define	CDF_MARKELLIPANNULI	cfmarkellipannuli_
#define	CDF_MARKTEXT		cfmarktext_
#define	CDF_DELETEMARK		cfdeletemark_
#define	CDF_CLEAROVERLAY	cfclearoverlay_
#define	CDF_REDRAWOVERLAY	cfredrawoverlay_
#define	CDF_SETDEBUG		cfsetdebug_

#endif

/* Function Definitions. */
void    CDF_OPEN();
void	CDF_DISPLAYPIX(), CDF_DISPLAYIRAF(), CDF_DISPLAYFITS();
void	CDF_READIRAF(), CDF_READFITS(), CDF_CLEARFRAME();
void	CDF_READIMAGE(), CDF_READFRAMEBUFFER(), CDF_READSUBRASTER();
void	CDF_WRITESUBRASTER(), CDF_SETCURSOR(), CDF_READCURSOR();
void	CDF_SELECTFB(), CDF_CLOSE(), CDF_COMPUTEZSCALE(), CDF_ZSCALEIMAGE();
void	CDF_SETFRAME(), CDF_SETFBCONFIG(), CDF_SETZTRANS(), CDF_SETZOOM();
void	CDF_SETSAMPLE(), CDF_SETCONTRAST(), CDF_SETNAME(), CDF_SETTITLE();
void	CDF_GETFRAME(), CDF_GETFBCONFIG(), CDF_GETZTRANS(), CDF_GETZOOM();
void	CDF_GETSAMPLE(), CDF_GETCONTRAST(), CDF_GETNAME(), CDF_GETTITLE();
void	CDF_SETZSCALE(), CDF_GETZSCALE(), CDF_LOOKUPFBSIZE();
void	CDF_ISIRAF(), CDF_ISFITS(), CDF_SETDEBUG();
void	CDF_PRINTPIX (), CDF_PRINTPIXTOFILE ();
void	CDF_SETSAMPLELINES (), CDF_GETSAMPLELINES ();
void	CDF_SETWCS(), CDF_GETWCS();

/* Marker Function Definitions. */
void	CDF_MARKPOINT(), CDF_MARKLINE(), CDF_MARKBOX(), CDF_MARKPOLYLINE();
void	CDF_MARKPOLYGON(), CDF_MARKCIRCLE(), CDF_MARKCIRCANNULI();
void	CDF_MARKELLIPSE(), CDF_MARKELLIPANNULI(), CDF_MARKTEXT();
void	CDF_DELETEMARK(), CDF_CLEAROVERLAY(), CDF_REDRAWOVERLAY();
