

/* Types of coordinate and greyscale transformations. */
#define W_UNITARY       0               /* values map without change	*/
#define W_LINEAR        1               /* linear mapping		*/
#define W_LOG           2               /* logarithmic mapping		*/
#define W_USER          3               /* user transformation 		*/

#define	SZ_NAME		256
#define	SZ_LINE		256
#define	SZ_IMTDEV	128
#define MAX_FBCONFIG	128
#define	OK		0
#define	ERR		1
#define	EOS		'\0'

/* Connection types. */
#define	UNIX		10
#define	INET		11
#define	FIFO		12

/* Default Values. */
#define	DEF_FBCONFIG	1		/* default frame buffer config 	*/
#define DEF_OSDEV_1     "unix:/tmp/.IMT%d"
#define DEF_OSDEV_2     "fifo:/dev/imt1i:/dev/imt1o"

/* Frame buffer configuration file definitions. */
#define FBCONFIG_1      ".imtoolrc"
#define FBCONFIG_2      "/usr/local/lib/imtoolrc"
#define FBCONFIG_ENV1   "imtoolrc"
#define FBCONFIG_ENV2   "IMTOOLRC"      
#define DEF_FRAME_WIDTH  512
#define DEF_FRAME_HEIGHT 512


typedef struct {
    int	config;				/* configuration number		*/
    int	nframes;			/* number of frames		*/
    int	width, height;			/* frame buffer dimensions	*/
} FBTab;

struct IMD {
	int	datain, dataout;	/* connection file descriptors	*/
	int	domain;			/* connection type		*/

	short	frame;			/* display frame number		*/
	short	fbconfig;		/* frame buffer config number 	*/
	FBTab   *fbtab[MAX_FBCONFIG];	/* fb configuration table	*/

	short	xs, xe;			/* X start/end values		*/
	short	ys, ye;			/* Y start/end values		*/
	char	*name;			/* image name			*/
	char	*title;			/* image title			*/
	float	a, b, c, d;		/* WCS values 			*/
	float	tx, ty;			/* translation values		*/
	float	z1, z2;			/* zscale values		*/
	short	ztrans;			/* Z trans type			*/

};
typedef	struct IMD *IMDPtr;

#undef	max
#define	max(a,b)	(a > b ? a : b)
#undef	min
#define	min(a,b)	(a < b ? a : b)

IMDPtr  	imd_open();
int     	imd_setFBConfig(), imd_writeDisplay(), imd_readDisplay();
int		imd_setFrame(), imd_setCursor(), imd_readCursor();
int     	imd_close(), imd_readSubRaster(), imd_writeSubRaster();
int     	imd_clearFrame(), imd_setWCS(), imd_getWCS();

static	IMDPtr 	imd_initialize();
static  int    	imd_parseImtdev(), imd_loadImtoolrc(), imd_getstr();
static  int    	imd_writeLine(), imd_readLine();
static 	void   	imd_minmax();
